# Generated by Django 4.2.16 on 2025-01-05 10:35

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Jobs",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("type", models.CharField(max_length=255, null=True)),
                ("full_name", models.CharField(max_length=255, null=True)),
                ("balls", models.IntegerField(null=True)),
                ("creator", models.CharField(max_length=255, null=True)),
                ("job", models.TextField(null=True)),
                ("img", models.ImageField(null=True, upload_to="job_images/")),
                ("link", models.URLField(blank=True, null=True)),
                ("flag", models.CharField(max_length=255, null=True)),
            ],
            options={
                "verbose_name": "Работа",
                "verbose_name_plural": "Работы",
            },
        ),
        migrations.CreateModel(
            name="UserJobs",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("date_assigned", models.DateTimeField(auto_now_add=True)),
                (
                    "job",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="web_tasks.jobs"
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "Работа - команда",
                "verbose_name_plural": "Работы - команды",
            },
        ),
        migrations.AddField(
            model_name="jobs",
            name="users",
            field=models.ManyToManyField(
                related_name="jobs",
                through="web_tasks.UserJobs",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
    ]
